%global gopath /gocode
%global pkg_src_path /src/github.com/sony/gobreaker

#Debug info is not necessary for this rpm package
%define debug_package %{nil}

Name:           gobreaker
Version:        0.5.0 
Release:        4%{?dist}
Summary:        Go implementation of the Circuit Breaker pattern

License:        MIT
URL:            https://github.com/sony/gobreaker
Source0:        %{name}-%{version}.tar.gz
Group:          Development/go
BuildArch:      noarch

Requires:  golang

%description
This is the Go implementation of the Circuit Breaker pattern

%prep
%setup -q -n %{name}-%{version}

%build
#Not needed
#Go module only needs to be installed in the GOPATH

%install
rm -rf $RPM_BUILD_ROOT
install -d %{buildroot}%{_datadir}%{gopath}%{pkg_src_path}
cp -r ./* %{buildroot}%{_datadir}%{gopath}%{pkg_src_path}/
chmod 755 %{buildroot}%{_datadir}%{gopath}%{pkg_src_path}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc %{_datadir}%{gopath}%{pkg_src_path}/README.md
%license %{_datadir}%{gopath}%{pkg_src_path}/LICENSE
%{_datadir}%{gopath}%{pkg_src_path}/*.go
%{_datadir}%{gopath}%{pkg_src_path}/go.*
%{_datadir}%{gopath}%{pkg_src_path}/example/*

%changelog
* Mon Dec 6 2021 Diego Martinez de Dios <diego.m.martinez@oracle.com> - 0.5.0-4
- Refactor of files inclusion arrangement to avoid listing twice doc files
- Remove inclusion of debug info
- Swap of global macro for _libdir directly 

* Fri Dec 3 2021 Diego Martinez de Dios  <diego.m.martinez@oracle.com> - 0.5.0-3
- Remove redefinition of _libdir for a new macro

* Fri Dec 3 2021 Diego Martinez de Dios  <diego.m.martinez@oracle.com> - 0.5.0-2
- Refactor of the go path variables to use /usr/share/gocode
- Inclusion of README.md in files

* Tue Nov 23 2021 Diego Martinez de Dios  <diego.m.martinez@oracle.com> - 0.5.0-1
- Initial build.